/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias;

import com.liferay.apio.architect.uri.Path;

import java.util.function.Function;

/**
 * Defines a type alias for a function that receives a {@code Path} and returns
 * the identifier from that {@code Path}.
 *
 * @author Alejandro Hernández
 * @param  <T> the identifier's type
 */
public interface IdentifierFunction<T> extends Function<Path, T> {
}