/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias.representor;

import java.util.function.Function;

/**
 * Instances of this class represent the key which represents a model's field
 * and the function to calculate that field.
 *
 * @author Alejandro Hernández
 * @review
 */
public interface FieldFunction<T, S> extends Function<T, S> {

	/**
	 * Returns the field key.
	 *
	 * @return the field key
	 * @review
	 */
	public String getKey();

}