/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias.representor;

import com.liferay.apio.architect.representor.NestedRepresentor;

/**
 * Instances of this class represent a {@code Representor} nested field.
 *
 * @author Alejandro Hernández
 * @review
 */
public interface NestedFieldFunction<T, S> extends FieldFunction<T, S> {

	/**
	 * Returns the field's {@code NestedRepresentor}.
	 *
	 * @return the field's {@code NestedRepresentor}
	 */
	public NestedRepresentor<S> getNestedRepresentor();

}