/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias.routes;

import com.liferay.apio.architect.alias.RequestFunction;
import com.liferay.apio.architect.form.Body;
import com.liferay.apio.architect.functional.Try;
import com.liferay.apio.architect.single.model.SingleModel;

import java.util.function.Function;

/**
 * Defines a type alias for a function that can be used to create a nested
 * collection item.
 *
 * @author Alejandro Hernández
 * @param  <T> the model's type
 * @param  <S> the type of the parent model's identifier (e.g., {@code Long},
 *         {@code String}, etc.)
 */
@FunctionalInterface
public interface NestedCreateItemFunction<T, S>
	extends RequestFunction<Function<S, Function<Body, Try<SingleModel<T>>>>> {
}