/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.exception;

import aQute.bnd.annotation.ProviderType;

/**
 * Defines the exception returned inside {@link
 * com.liferay.apio.architect.functional.Try} when {@link
 * com.liferay.apio.architect.functional.Try#filter(
 * java.util.function.Predicate)} returns {@code false}.
 *
 * @author Alejandro Hernández
 */
@ProviderType
public class FalsePredicateException extends Exception {

	public FalsePredicateException(Object value) {
		super("Predicate does not match for " + value);
	}

}