/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.file;

import aQute.bnd.annotation.ConsumerType;

import java.io.InputStream;

/**
 * @author Javier Gamarra
 * @review
 */
@ConsumerType
public class BinaryFile {

	public BinaryFile(InputStream inputStream, Long size, String mimeType) {
		_inputStream = inputStream;
		_size = size;
		_mimeType = mimeType;
	}

	public InputStream getInputStream() {
		return _inputStream;
	}

	public String getMimeType() {
		return _mimeType;
	}

	public long getSize() {
		return _size;
	}

	private final InputStream _inputStream;
	private final String _mimeType;
	private final long _size;

}