/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.identifier;

/**
 * Represents a resource identifier. Resources must not use this class directly
 * (create and use a wrapper interface instead).
 *
 * <p>
 * For example, if the internal model is identified with a {@code Long}, then an
 * then an interface extending {@code Identifier<Long>} should be used.
 * </p>
 *
 * @author Alejandro Hernández
 */
public interface Identifier<T> {
}